---
title: 'Element: show event'
slug: Web/API/Element/show_event
tags:
  - API
  - Deprecated
  - Event
  - Reference
  - show
---
<div>{{APIRef}}{{deprecated_header}}</div>

<p>The <strong><code>show</code></strong> event is fired when a {{domxref("Element/contextmenu_event", "contextmenu")}} event was fired on/bubbled to an element that has a <a href="/en-US/docs/Web/HTML/Global_attributes/contextmenu"><code>contextmenu</code> attribute</a>.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("GlobalEventHandlers.onshow", "onshow")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<pre class="brush:html; notranslate">&lt;div contextmenu="test"&gt;&lt;/div&gt;
&lt;menu type="context" id="test"&gt;
  &lt;menuitem label="alert" onclick="alert('the alert label has been clicked')" /&gt;
&lt;/menu&gt;

&lt;script&gt;
  document.getElementById("test").addEventListener("show", function(e){
    alert("the context menu will be displayed");
  }, false);
&lt;/script&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML5 W3C", "webappapis.html#handler-onshow", "show event")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.show_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("GlobalEventHandlers.onshow", "onshow")}}</li>
</ul>
